/**
 * @module botframework-streaming
 */
/**
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License.
 */
import { INodeServer, INodeSocket } from '../interfaces';
declare type ConnectionListener = (socket: INodeSocket) => void;
/**
 * Create a Node 'net' server
 *
 * @param callback Optional connection listener
 * @returns a Node 'net' server instance
 */
export declare function createNodeServer(callback?: ConnectionListener): INodeServer;
/**
 * Get a function that creates a Node 'net' server instance
 *
 * @returns a server factory function
 */
export declare function getServerFactory(): (callback?: ConnectionListener) => INodeServer;
export {};
//# sourceMappingURL=createNodeServer.d.ts.map